Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.instance.node
Class StateBasedNodeInstance

    java.lang.Object
      org.jbpm.workflow.instance.impl.NodeInstanceImpl
          org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
              org.jbpm.workflow.instance.node.StateBasedNodeInstance

All Implemented Interfaces:
  Serializable, EventBasedNodeInstanceInterface, EventListener, NodeInstance

Direct Known Subclasses:
  CompositeNodeInstance, MilestoneNodeInstance, RuleSetNodeInstance, SubProcessNodeInstance, TimerNodeInstance, WorkItemNodeInstance

    public abstract class StateBasedNodeInstance

extends ExtendedNodeInstanceImpl
implements EventBasedNodeInstanceInterface, EventListener

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`NodeInstanceImpl.NodeInstanceTrigger`

Field Summary
`protected static Pattern` | `PARAMETER_MATCHER`

Constructor Summary
`StateBasedNodeInstance()`

Method Summary
`void` | `addEventListeners()`
`protected void` | `addTimerListener()`
`void` | `cancel()`
`protected boolean` | `checkProcessInstance(org.drools.core.spi.Activation activation)`
`protected void` | `configureTimerInstance(Timer timer, TimerInstance timerInstance)`
`protected TimerInstance` | `createTimerInstance(Timer timer)`
`protected String` | `getActivationType()`
`StateBasedNode` | `getEventBasedNode()`
`String[]` | `getEventTypes()` Returns the event types this event listener is interested in.
`List<Long>` | `getTimerInstances()`
`void` | `internalSetTimerInstances(List<Long> timerInstances)`
`void` | `internalTrigger(NodeInstance from, String type)`
`void` | `removeEventListeners()`
`void` | `signalEvent(String type, Object event)` Signals that an event has occurred.
`void` | `triggerCompleted()`
`protected void` | `triggerCompleted(String type, boolean remove)`

Methods inherited from class org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
`getExtendedNode, triggerCompleted, triggerEvent`

Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`executeAction, followConnection, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getUniqueId, getVariable, isInversionOfControl, resolveContext, resolveContextInstance, retrigger, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerConnection, triggerNode, triggerNodeInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARAMETER_MATCHER

    protected static final Pattern PARAMETER_MATCHER

Constructor Detail

### StateBasedNodeInstance

    public StateBasedNodeInstance()

Method Detail

### getEventBasedNode

    public StateBasedNode getEventBasedNode()

### internalTrigger

    public void internalTrigger(NodeInstance from,
                                String type)

  Overrides:
    `internalTrigger` in class `ExtendedNodeInstanceImpl`

### createTimerInstance

    protected TimerInstance createTimerInstance(Timer timer)

### configureTimerInstance

    protected void configureTimerInstance(Timer timer,
                                          TimerInstance timerInstance)

### signalEvent

    public void signalEvent(String type,
                            Object event)

  Description copied from interface: `EventListener`
  Signals that an event has occurred. The type parameter defines which type of event and the event parameter can contain additional information related to the event.

  Specified by:
    `signalEvent` in interface `EventListener`
  Parameters:
    `type` - the type of event
    `event` - the data associated with this event

### getEventTypes

    public String[] getEventTypes()

  Description copied from interface: `EventListener`
  Returns the event types this event listener is interested in. May return `null` if the event types are unknown.

  Specified by:
    `getEventTypes` in interface `EventListener`

### triggerCompleted

    public void triggerCompleted()

### addEventListeners

    public void addEventListeners()

  Specified by:
    `addEventListeners` in interface `EventBasedNodeInstanceInterface`

### addTimerListener

    protected void addTimerListener()

### removeEventListeners

    public void removeEventListeners()

  Specified by:
    `removeEventListeners` in interface `EventBasedNodeInstanceInterface`

### triggerCompleted

    protected void triggerCompleted(String type,
                                    boolean remove)

  Overrides:
    `triggerCompleted` in class `ExtendedNodeInstanceImpl`

### getTimerInstances

    public List<Long> getTimerInstances()

### internalSetTimerInstances

    public void internalSetTimerInstances(List<Long> timerInstances)

### cancel

    public void cancel()

  Overrides:
    `cancel` in class `NodeInstanceImpl`

### getActivationType

    protected String getActivationType()

### checkProcessInstance

    protected boolean checkProcessInstance(org.drools.core.spi.Activation activation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.